import "./SectionHeader.scss";

interface ISectionHeaderProps {
  title: string;
  description?: string;
  style?: object;
}

const SectionHeader: React.FC<ISectionHeaderProps> = ({
  title,
  description,
  style,
}: ISectionHeaderProps) => {
  return (
    <div style={style} className="section-header">
      <h3>{title}</h3>
      {description && <p>{description}</p>}
    </div>
  );
};

export default SectionHeader;
