import Link from "next/link";
import "./NavAuth.scss";
import { usePathname } from "next/navigation";

interface INavAuthProps {
  responsible?: boolean;
}

const NavAuth: React.FC<INavAuthProps> = ({
  responsible,
}: INavAuthProps) => {
  const auth = false;
  const pathname = usePathname();
  return (
    <>
      {auth ? (
        <Link
          href="/profile"
          className={`nav-auth-profile-${
            responsible
              ? `sm${pathname === "/profile" ? "_active" : ""}`
              : "lg"
          }`}
        >
          Профиль
        </Link>
      ) : (
        <Link
          href="/sign-in"
          className={`nav-auth-signin-${
            responsible
              ? `sm${pathname === "/sign-in" ? "_active" : ""}`
              : "lg"
          }`}
        >
          Войти
        </Link>
      )}
    </>
  );
};

export default NavAuth;
